petsc-3.7.7 2017-09-25
Report Typos and Errors

# PetscObject

any PETSc object, PetscViewer, Mat, Vec, KSP etc

### Synopsis

    typedef struct _p_PetscObject* PetscObject;

Note: This is the base class from which all PETSc objects are derived from.

### See Also

PetscObjectDestroy(), PetscObjectView(), PetscObjectGetName(), PetscObjectSetName(), PetscObjectReference(), PetscObjectDereference()

Level:beginner
Location:include/petscsys.h
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/vec/vec/examples/tutorials/ex3.c.html
src/vec/vec/examples/tutorials/ex10.c.html
src/vec/vec/examples/tutorials/ex19.c.html
src/vec/vec/examples/tutorials/ex21.c.html
src/vec/is/is/examples/tutorials/ex3.c.html
src/mat/examples/tutorials/ex8.c.html
src/dm/examples/tutorials/ex7.c.html
src/dm/examples/tutorials/ex9.c.html
src/dm/examples/tutorials/ex10.c.html
src/dm/examples/tutorials/ex15.c.html
src/ksp/ksp/examples/tutorials/ex1.c.html